<?php
////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//   Copyright (C) 2011  Phorum-Support.de - Thomas Seifert                   //
//   http://www.phorum-support.de - thomas.seifert@phorum-support.de          //
//                                                                            //
//   This program is free software. You can redistribute it and/or modify     //
//   it under the terms of either the current Phorum License (viewable at     //
//   phorum.org) or the Phorum License that was distributed with this file    //
//                                                                            //
//   This program is distributed in the hope that it will be useful,          //
//   but WITHOUT ANY WARRANTY, without even the implied warranty of           //
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     //
//                                                                            //
//   You should have received a copy of the Phorum License                    //
//   along with this program.                                                 //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

function phorum_mod_buddies_as_recipients_pm($msg,$action) {
	global $PHORUM;

	// Create data for a user dropdown list, if configured.
	if (isset($PHORUM["DATA"]["SHOW_USERSELECTION"]) && !empty($PHORUM["DATA"]["SHOW_USERSELECTION"]))
	{
		$allusers = array();
		$buddies_list = phorum_db_pm_buddy_list($PHORUM['user']['user_id']);
		if(count($buddies_list)) {
			$users_list = phorum_api_user_get(array_keys($buddies_list));
			foreach($users_list as $user_id => $userdata) {
				if (isset($msg["recipients"][$user_id])) continue;
				$userinfo["display_name"] = htmlspecialchars($userinfo["display_name"], ENT_COMPAT, $PHORUM["DATA"]["HCHARSET"]);
				$allusers[] = $userdata;
			}
		}
		$PHORUM["DATA"]["USERS"] = $allusers;
		if (count($allusers) == 0) $PHORUM["DATA"]["SHOW_USERSELECTION"] = false;
	}
	
	return $msg;
}